<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>IRISHousing</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.iris, class: IRISHousing">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISHousing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></div>
<h1 title="Class IRISHousing" class="title">Class IRISHousing</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris.IRIS</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.iris.IRISHousing</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">IRISHousing</span>
extends <a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></pre>
<div class="block">IRIS implementation for statistical housing information. Data that should be used are stored <a href="https://www.insee.fr/fr/statistiques/4799268">here</a> //todo change location</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#initialProbabilityDistribution">initialProbabilityDistribution</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt100120M2">lgt100120M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt120M2P">lgt120M2P</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt3040M2">lgt3040M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt4060M2">lgt4060M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt6080M2">lgt6080M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgt80100M2">lgt80100M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lgtM30M2">lgtM30M2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#ADJUST_VALUES">ADJUST_VALUES</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">IRISHousing</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;iris)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#fitHousingNBuilding(java.util.List)">fitHousingNBuilding</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;changes)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHousingsCategorieOfBuilding(fr.ici.dataImporter.iciObjects.Building,java.lang.String)">getHousingsCategorieOfBuilding</a></span>&#8203;(<a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;b,
java.lang.String&nbsp;housingCategory)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHousingsCategorieOfBuilding(java.util.List,java.lang.String)">getHousingsCategorieOfBuilding</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
java.lang.String&nbsp;housingCategory)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt100120M2()">getLgt100120M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt120M2P()">getLgt120M2P</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt3040M2()">getLgt3040M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt4060M2()">getLgt4060M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt6080M2()">getLgt6080M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgt80100M2()">getLgt80100M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLgtM30M2()">getLgtM30M2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getTotalHousing()">getTotalHousing</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeHousingProbabilities()">makeHousingProbabilities</a></span>()</code></th>
<td class="col-last">
<div class="block">Create probability of housing classes for the input IRIS.</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#printProbabilitiesBuildingSize()">printProbabilitiesBuildingSize</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt100120M2(float)">setLgt100120M2</a></span>&#8203;(float&nbsp;lgt100120M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt120M2P(float)">setLgt120M2P</a></span>&#8203;(float&nbsp;lgt120M2P)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt3040M2(float)">setLgt3040M2</a></span>&#8203;(float&nbsp;lgt3040M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt4060M2(float)">setLgt4060M2</a></span>&#8203;(float&nbsp;lgt4060M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt6080M2(float)">setLgt6080M2</a></span>&#8203;(float&nbsp;lgt6080M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgt80100M2(float)">setLgt80100M2</a></span>&#8203;(float&nbsp;lgt80100M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setLgtM30M2(float)">setLgtM30M2</a></span>&#8203;(float&nbsp;lgtM30M2)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#getCodeIRIS()">getCodeIRIS</a>, <a href="IRIS.html#getGeom()">getGeom</a>, <a href="IRIS.html#getNomIRIS()">getNomIRIS</a>, <a href="IRIS.html#printPer(double)">printPer</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="lgtM30M2">
<h3>lgtM30M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgtM30M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt3040M2">
<h3>lgt3040M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt3040M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt4060M2">
<h3>lgt4060M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt4060M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt6080M2">
<h3>lgt6080M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt6080M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt80100M2">
<h3>lgt80100M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt80100M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt100120M2">
<h3>lgt100120M2</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt100120M2</span></div>
</section>
</li>
<li>
<section class="detail" id="lgt120M2P">
<h3>lgt120M2P</h3>
<div class="member-signature"><span class="return-type">float</span>&nbsp;<span class="member-name">lgt120M2P</span></div>
</section>
</li>
<li>
<section class="detail" id="initialProbabilityDistribution">
<h3>initialProbabilityDistribution</h3>
<div class="member-signature"><span class="return-type">float[]</span>&nbsp;<span class="member-name">initialProbabilityDistribution</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.opengis.feature.simple.SimpleFeature)">
<h3>IRISHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">IRISHousing</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;iris)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getHousingsCategorieOfBuilding(fr.ici.dataImporter.iciObjects.Building,java.lang.String)">
<h3>getHousingsCategorieOfBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getHousingsCategorieOfBuilding</span>&#8203;(<span class="parameters"><a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;b,
java.lang.String&nbsp;housingCategory)</span></div>
</section>
</li>
<li>
<section class="detail" id="getHousingsCategorieOfBuilding(java.util.List,java.lang.String)">
<h3>getHousingsCategorieOfBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getHousingsCategorieOfBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
java.lang.String&nbsp;housingCategory)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgtM30M2()">
<h3>getLgtM30M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgtM30M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgtM30M2(float)">
<h3>setLgtM30M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgtM30M2</span>&#8203;(<span class="parameters">float&nbsp;lgtM30M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt3040M2()">
<h3>getLgt3040M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt3040M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt3040M2(float)">
<h3>setLgt3040M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt3040M2</span>&#8203;(<span class="parameters">float&nbsp;lgt3040M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt4060M2()">
<h3>getLgt4060M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt4060M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt4060M2(float)">
<h3>setLgt4060M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt4060M2</span>&#8203;(<span class="parameters">float&nbsp;lgt4060M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt6080M2()">
<h3>getLgt6080M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt6080M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt6080M2(float)">
<h3>setLgt6080M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt6080M2</span>&#8203;(<span class="parameters">float&nbsp;lgt6080M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt80100M2()">
<h3>getLgt80100M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt80100M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt80100M2(float)">
<h3>setLgt80100M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt80100M2</span>&#8203;(<span class="parameters">float&nbsp;lgt80100M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt100120M2()">
<h3>getLgt100120M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt100120M2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt100120M2(float)">
<h3>setLgt100120M2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt100120M2</span>&#8203;(<span class="parameters">float&nbsp;lgt100120M2)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLgt120M2P()">
<h3>getLgt120M2P</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getLgt120M2P</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setLgt120M2P(float)">
<h3>setLgt120M2P</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setLgt120M2P</span>&#8203;(<span class="parameters">float&nbsp;lgt120M2P)</span></div>
</section>
</li>
<li>
<section class="detail" id="fitHousingNBuilding(java.util.List)">
<h3>fitHousingNBuilding</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">fitHousingNBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.Integer&gt;&nbsp;changes)</span></div>
</section>
</li>
<li>
<section class="detail" id="printProbabilitiesBuildingSize()">
<h3>printProbabilitiesBuildingSize</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">printProbabilitiesBuildingSize</span>()</div>
</section>
</li>
<li>
<section class="detail" id="makeHousingProbabilities()">
<h3>makeHousingProbabilities</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeHousingProbabilities</span>()</div>
<div class="block">Create probability of housing classes for the input IRIS.
 Get the information for every class of size and multiply them by the ratio of not principal housing (whe assume here that vacant and secondary housing have the same distribution of size as principal housing)</div>
</section>
</li>
<li>
<section class="detail" id="getTotalHousing()">
<h3>getTotalHousing</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getTotalHousing</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISHousing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
